ParticleSwarmOptimization::Topology Class Referenceabstract

Base topology class used to determine the personal and global best. More...

`#include <ql/experimental/math/particleswarmoptimization.hpp>`

Inheritance diagram for ParticleSwarmOptimization::Topology:
[legend]

## Public Member Functions

virtual void | setSize (Size M)=0
| initialize state for current problem
virtual void | findSocialBest ()=0
| produce changes to PSO state for current iteration

## Protected Attributes

ParticleSwarmOptimization * | pso_
std::vector< Array > * | X_
std::vector< Array > * | V_
std::vector< Array > * | pBX_
std::vector< Array > * | gBX_
Array * | pBF_
Array * | gBF_

## Friends

class | ParticleSwarmOptimization

## Detailed Description

Base topology class used to determine the personal and global best.

This pure virtual base class provides the access to the PSO state which the particular topology algorithm will change upon each iteration.